<?php

namespace App\Sets\Model;

use \Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\Relation;


class Sets extends Model
{
    use \App\Traits\Models;
    protected $table = "myp_sets";
    const SHELF_UP  = 0;
    const SHELF_DOWN = 1;

    public function relation_promotion()
    {
        return $this->hasMany(Promotion::class,"sets_id")->where('is_del',0);
    }

    public function relation_attatchment()
    {
        return $this->hasMany(Attachment::class,"sets_id")->where('is_del',0);
    }

    public function relation_works()
    {
        return $this->hasMany(Works::class,"sets_id")->where('is_del',0)->select(['works_id']);
    }

    public function relation_keywords()
    {
        return $this->hasMany(Keywords::class,"sets_id")->where('is_del',0)->select(Keywords::fields);
    }

    public function relation_category()
    {
        return $this->hasMany(Category::class,"sets_id")->where('is_del',0)->select(Category::fields);
    }

    public function relation_comments()
    {
        return $this->hasMany(Comments::class,"sets_id")->where('is_del',0);
    }

}